AOZ Studio Beta - Bug #672

Wait command in Amiga mode
02/24/2021 07:17 PM - Paul Kitching

Status: Closed Start date: 02/24/2021
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour
Target version: 1.0.0 (B7)

Affected version: 1.0.0 (B5)

Description

When using an Amiga manifest, the wait command works in seconds (like AOZ mode), instead of in 50ths of a second.

wait 50

This should wait 1 second, instead of 50 seconds.

History

#1 - 03/22/2021 06:42 AM - Brian Flanagan
- Estimated time set to 1:00 h
- Affected version changed from 1.0.0 (B4) to 1.0.0 (B5)

Tested in 1.0.0 (B5)
Wait is still incorrect in Amiga manifest.

Example:
#manifest: "amiga"
T=Timer : Print T
Wait 50

Print Timer-T

#2 - 03/31/2021 03:59 PM - Francois Lionet

- Status changed from New to Resolved

Works!

#3 - 04/01/2021 09:40 AM - Brian Flanagan

- Status changed from Resolved to Feedback

Nope. Check the time.
Wait 50 still waits for 50 seconds instead of 1.

#4 - 04/01/2021 02:33 PM - Francois Lionet

- Status changed from Feedback to Resolved

Please close it this time! :D

#5 - 04/02/2021 12:42 AM - Brian Flanagan
- Status changed from Resolved to Closed

- Target version set to 1.0.0 (B7)

The problem was that the local manifest was overriding the manifest specified in the #manifest tag!

| would think that the opposite should be true.

The #manifest tag is supposed to choose the specified manifest, but it doesn't.

Once | deleted the local manifest, | found it was working correctly, so this particular problem is corrected.

I'll open a new ticket for the manifest issue.
